#
# spec file for package autoconf (Version 2.61)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp43 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc43 gdbm gettext-runtime gettext-tools glibc glibc-devel glibc-locale gmp grep groff gzip help2man info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc43 libgomp43 libltdl-3 libmpfr1 libmudflap43 libncurses5 libreadline5 libstdc++43 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers login m4 make man net-tools netcfg pam pam-modules patch perl perl-base permissions popt psmisc rpm sed sysvinit tar terminfo-base texinfo timezone util-linux zlib


Name:           autoconf
BuildRequires:  help2man
License:        GPL v2 or later
Group:          Development/Tools/Building
Url:            http://www.gnu.org/software/autoconf
AutoReqProv:    on
Requires:       m4 >= %(rpm -q --qf=%%{VERSION} m4)
PreReq:         %{install_info_prereq}
Version:        2.61
Release:        85.1
Summary:        A GNU Tool for Automatically Configuring Source Code
Source:         autoconf-%{version}.tar.bz2
Patch:          autoreconf-ltdl.diff
Patch1:         ac-proc-sed.diff
Patch2:         ac-func-mktime.diff
Patch3:         tests.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNU Autoconf is a tool for configuring source code and makefiles. Using
autoconf, programmers can create portable and configurable packages,
because the person building the package is allowed to specify various
configuration options.

You should install autoconf if you are developing software and would
like to create shell scripts to configure your source code packages.

Note that the autoconf package is not required for the end user who may
be configuring software with an autoconf-generated script; autoconf is
only required for the generation of the scripts, not their use.



Authors:
--------
    Ben Elliston  <bje@cygnus.com>
    David J MacKenzie  <djm@catapult.va.pubnix.com>

%debug_package
%prep
%setup -q
%patch
%patch1
%patch2 -p1
%patch3 -p1

%build
%{suse_update_config -f config}
./configure --prefix=%{_prefix} --infodir=%{_infodir} --mandir=%{_mandir}
make

%check
trap 'test $? -ne 0 && cat tests/testsuite.log' EXIT
make check

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp/*.el*

%post
%install_info --info-dir=%{_infodir} %{_infodir}/autoconf.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/autoconf.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_prefix}/bin/*
%{_prefix}/share/autoconf
%doc %{_infodir}/*.gz
%doc %{_mandir}/man1/*.gz

%changelog
* Mon Mar 10 2008 schwab@suse.de
- Fix spurious testsuite failure.
* Tue Feb 19 2008 schwab@suse.de
- Fix undefined behaviour in AC_FUNC_MKTIME test.
* Fri Jun 01 2007 schwab@suse.de
- Relax m4 requirement to work around autobuild bug.
* Mon Apr 02 2007 schwab@suse.de
- Fix spurious testsuite failure.
* Sun Mar 25 2007 schwab@suse.de
- Display testsuite log on failure.
* Wed Dec 13 2006 schwab@suse.de
- Handle old style libltdl macros.
* Mon Dec 04 2006 schwab@suse.de
- Update to autoconf 2.61.
  ** New macros AC_C_FLEXIBLE_ARRAY_MEMBER, AC_C_VARARRAYS.
  ** AC_ARG_ENABLE and AC_ARG_WITH now allow '.' in feature and package names.
* Wed Aug 02 2006 schwab@suse.de
- Split off autoconf-el.
* Thu Jul 20 2006 schwab@suse.de
- Fix testsuite.
* Tue Jun 27 2006 schwab@suse.de
- Update to autoconf 2.60, see
  <http://cvs.savannah.gnu.org/viewcvs/autoconf/autoconf/NEWS?r1=1.388&r2=1.322>.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jun 19 2004 schwab@suse.de
- Require exact version of m4.
* Thu Nov 13 2003 schwab@suse.de
- Update to autoconf 2.59, incorporates last change.
* Mon Nov 10 2003 schwab@suse.de
- Fix abs_srcdir.
* Tue Nov 04 2003 schwab@suse.de
- Update to autoconf 2.58.
* Thu Sep 18 2003 schwab@suse.de
- Downgrade flock failure to a warning [#26962].
* Mon Sep 08 2003 schwab@suse.de
- Add patch to serialize access to autom4te cache file [#26962].
* Mon May 12 2003 schwab@suse.de
- Add %%defattr.
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Mon Apr 07 2003 schwab@suse.de
- Only delete info entries when removing last version.
* Thu Feb 06 2003 schwab@suse.de
- Use %%install_info.
* Thu Dec 05 2002 schwab@suse.de
- Update to autoconf 2.57.
  * Bug fixes for problems with AIX linker, with freestanding C compilers,
  with GNU m4 limitations, and with obsolete copies of GNU documents.
* Fri Nov 15 2002 schwab@suse.de
- Update to autoconf 2.56.
* Tue Jun 11 2002 schwab@suse.de
- Fix missing info dir entries.
* Mon May 13 2002 schwab@suse.de
- Fix invalid node name in docs [#16078].
* Fri Apr 12 2002 schwab@suse.de
- Remove g77 from neededforbuild.
* Mon Apr 08 2002 schwab@suse.de
- Run automake last in autoreconf.
* Sun Apr 07 2002 schwab@suse.de
- Fix _AC_SRCPATHS.
* Thu Apr 04 2002 schwab@suse.de
- Fix _AS_PATH_WALK.
* Tue Apr 02 2002 schwab@suse.de
- Fix premature expansion in m4_bmatch.
* Sat Mar 30 2002 schwab@suse.de
- Handle libltdl in autoreconf.
- Run automake after aclocal in autoreconf.
* Fri Mar 15 2002 schwab@suse.de
- Handle gettext 0.11 in autoreconf.
* Sat Mar 09 2002 schwab@suse.de
- Update to autoconf 2.53.
* Sat Jul 21 2001 schwab@suse.de
- Always set {host,build,target}_alias.
* Thu Jul 19 2001 schwab@suse.de
- Update to autoconf 2.52.
* Mon Jun 11 2001 olh@suse.de
- recognize ppc64
* Tue May 22 2001 schwab@suse.de
- Update to autoconf 2.50.
- Add Buildroot.
* Fri Mar 23 2001 schwab@suse.de
- Add m4 as neededforbuild.
- Require m4 and gawk.
* Wed Mar 21 2001 schwab@suse.de
- Set F77 to g77 during `make check'.
* Wed Feb 21 2001 schwab@suse.de
- Fix AC_PROC_CXXCPP.
- Add %%suse_update_config.
- Don't mark acconfig.h as %%config.
- Run testsuite.
* Thu Jun 01 2000 kukuk@suse.de
- Add more docu, fill out group tag
* Mon May 01 2000 kukuk@suse.de
- Use infodir macro
* Fri Mar 24 2000 schwab@suse.de
- Fix conflicting declaration of exit.
* Tue Jan 18 2000 schwab@suse.de
- Undefine m4 macro `symbols' (new builtin in m4 1.4o).
* Mon Dec 06 1999 schwab@suse.de
- Discard output from `type -p'.
* Thu Dec 02 1999 schwab@suse.de
- Make sure tempfiles are always removed.
- Fix some quoting bugs in shell scripts.
* Thu Nov 04 1999 ro@suse.de
- fixed for alphaev6
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 25 1999 kukuk@suse.de
- Specfile cleanup
* Fri Jan 15 1999 ro@suse.de
- update to 2.13
* Thu Jul 23 1998 werner@suse.de
- Make auto*.sh more secure and use mktemp if avaliable
* Wed Jan 22 1997 florian@suse.de
- update to version 2.12
